Package com.emc.d2fs.models.checkin_config

# Class CheckinConfig

java.lang.Object
com.emc.d2fs.models.checkin_config.CheckinConfig

All Implemented Interfaces:
  `Serializable`

public class CheckinConfig extends Object implements Serializable

Java class for checkin_config complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="checkin_config">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="config_name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="object_name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="r_lock_machine" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="checked_out" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="locked_by_user" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="checkin_from_file_allowed" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="always_set_as_cur_version" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="always_unlock_new_version" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="queue_rendition" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="silent_major" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="silent_minor" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="silent_same" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="keep_log_entry" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="keep_symbolic_label" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="sync_shared_as_native" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="offline" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="checkout_vd" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="explicit_checkout_vd" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="has_content" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="can_log_entry" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="log_entry_required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="can_same_version" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="can_minor_version" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="can_major_version" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="can_branch_version" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="property_page" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckinConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfigName()`
  Gets the value of the configName property.
  `String`
  `getObjectName()`
  Gets the value of the objectName property.
  `String`
  `getPropertyPage()`
  Gets the value of the propertyPage property.
  `Boolean`
  `isAlwaysSetAsCurVersion()`
  Gets the value of the alwaysSetAsCurVersion property.
  `Boolean`
  `isAlwaysUnlockNewVersion()`
  Gets the value of the alwaysUnlockNewVersion property.
  `Boolean`
  `isCanBranchVersion()`
  Gets the value of the canBranchVersion property.
  `Boolean`
  `isCanLogEntry()`
  Gets the value of the canLogEntry property.
  `Boolean`
  `isCanMajorVersion()`
  Gets the value of the canMajorVersion property.
  `Boolean`
  `isCanMinorVersion()`
  Gets the value of the canMinorVersion property.
  `Boolean`
  `isCanSameVersion()`
  Gets the value of the canSameVersion property.
  `Boolean`
  `isCheckedOut()`
  Gets the value of the checkedOut property.
  `Boolean`
  `isCheckinFromFileAllowed()`
  Gets the value of the checkinFromFileAllowed property.
  `Boolean`
  `isCheckoutVd()`
  Gets the value of the checkoutVd property.
  `Boolean`
  `isExplicitCheckoutVd()`
  Gets the value of the explicitCheckoutVd property.
  `Boolean`
  `isHasContent()`
  Gets the value of the hasContent property.
  `Boolean`
  `isKeepLogEntry()`
  Gets the value of the keepLogEntry property.
  `Boolean`
  `isKeepSymbolicLabel()`
  Gets the value of the keepSymbolicLabel property.
  `Boolean`
  `isLockedByUser()`
  Gets the value of the lockedByUser property.
  `Boolean`
  `isLogEntryRequired()`
  Gets the value of the logEntryRequired property.
  `Boolean`
  `isOffline()`
  Gets the value of the offline property.
  `Boolean`
  `isQueueRendition()`
  Gets the value of the queueRendition property.
  `Boolean`
  `isRLockMachine()`
  Gets the value of the rLockMachine property.
  `Boolean`
  `isSilentMajor()`
  Gets the value of the silentMajor property.
  `Boolean`
  `isSilentMinor()`
  Gets the value of the silentMinor property.
  `Boolean`
  `isSilentSame()`
  Gets the value of the silentSame property.
  `Boolean`
  `isSyncSharedAsNative()`
  Gets the value of the syncSharedAsNative property.
  `void`
  `setAlwaysSetAsCurVersion(Boolean value)`
  Sets the value of the alwaysSetAsCurVersion property.
  `void`
  `setAlwaysUnlockNewVersion(Boolean value)`
  Sets the value of the alwaysUnlockNewVersion property.
  `void`
  `setCanBranchVersion(Boolean value)`
  Sets the value of the canBranchVersion property.
  `void`
  `setCanLogEntry(Boolean value)`
  Sets the value of the canLogEntry property.
  `void`
  `setCanMajorVersion(Boolean value)`
  Sets the value of the canMajorVersion property.
  `void`
  `setCanMinorVersion(Boolean value)`
  Sets the value of the canMinorVersion property.
  `void`
  `setCanSameVersion(Boolean value)`
  Sets the value of the canSameVersion property.
  `void`
  `setCheckedOut(Boolean value)`
  Sets the value of the checkedOut property.
  `void`
  `setCheckinFromFileAllowed(Boolean value)`
  Sets the value of the checkinFromFileAllowed property.
  `void`
  `setCheckoutVd(Boolean value)`
  Sets the value of the checkoutVd property.
  `void`
  `setConfigName(String value)`
  Sets the value of the configName property.
  `void`
  `setExplicitCheckoutVd(Boolean value)`
  Sets the value of the explicitCheckoutVd property.
  `void`
  `setHasContent(Boolean value)`
  Sets the value of the hasContent property.
  `void`
  `setKeepLogEntry(Boolean value)`
  Sets the value of the keepLogEntry property.
  `void`
  `setKeepSymbolicLabel(Boolean value)`
  Sets the value of the keepSymbolicLabel property.
  `void`
  `setLockedByUser(Boolean value)`
  Sets the value of the lockedByUser property.
  `void`
  `setLogEntryRequired(Boolean value)`
  Sets the value of the logEntryRequired property.
  `void`
  `setObjectName(String value)`
  Sets the value of the objectName property.
  `void`
  `setOffline(Boolean value)`
  Sets the value of the offline property.
  `void`
  `setPropertyPage(String value)`
  Sets the value of the propertyPage property.
  `void`
  `setQueueRendition(Boolean value)`
  Sets the value of the queueRendition property.
  `void`
  `setRLockMachine(Boolean value)`
  Sets the value of the rLockMachine property.
  `void`
  `setSilentMajor(Boolean value)`
  Sets the value of the silentMajor property.
  `void`
  `setSilentMinor(Boolean value)`
  Sets the value of the silentMinor property.
  `void`
  `setSilentSame(Boolean value)`
  Sets the value of the silentSame property.
  `void`
  `setSyncSharedAsNative(Boolean value)`
  Sets the value of the syncSharedAsNative property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CheckinConfig

    public CheckinConfig()

- ## Method Details

  - ### getConfigName

    public String getConfigName()
    Gets the value of the configName property.
    Returns:
      possible object is `String`

  - ### setConfigName

    public void setConfigName(String value)
    Sets the value of the configName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getObjectName

    public String getObjectName()
    Gets the value of the objectName property.
    Returns:
      possible object is `String`

  - ### setObjectName

    public void setObjectName(String value)
    Sets the value of the objectName property.
    Parameters:
      `value` - allowed object is `String`

  - ### isRLockMachine

    public Boolean isRLockMachine()
    Gets the value of the rLockMachine property.
    Returns:
      possible object is `Boolean`

  - ### setRLockMachine

    public void setRLockMachine(Boolean value)
    Sets the value of the rLockMachine property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCheckedOut

    public Boolean isCheckedOut()
    Gets the value of the checkedOut property.
    Returns:
      possible object is `Boolean`

  - ### setCheckedOut

    public void setCheckedOut(Boolean value)
    Sets the value of the checkedOut property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isLockedByUser

    public Boolean isLockedByUser()
    Gets the value of the lockedByUser property.
    Returns:
      possible object is `Boolean`

  - ### setLockedByUser

    public void setLockedByUser(Boolean value)
    Sets the value of the lockedByUser property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCheckinFromFileAllowed

    public Boolean isCheckinFromFileAllowed()
    Gets the value of the checkinFromFileAllowed property.
    Returns:
      possible object is `Boolean`

  - ### setCheckinFromFileAllowed

    public void setCheckinFromFileAllowed(Boolean value)
    Sets the value of the checkinFromFileAllowed property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isAlwaysSetAsCurVersion

    public Boolean isAlwaysSetAsCurVersion()
    Gets the value of the alwaysSetAsCurVersion property.
    Returns:
      possible object is `Boolean`

  - ### setAlwaysSetAsCurVersion

    public void setAlwaysSetAsCurVersion(Boolean value)
    Sets the value of the alwaysSetAsCurVersion property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isAlwaysUnlockNewVersion

    public Boolean isAlwaysUnlockNewVersion()
    Gets the value of the alwaysUnlockNewVersion property.
    Returns:
      possible object is `Boolean`

  - ### setAlwaysUnlockNewVersion

    public void setAlwaysUnlockNewVersion(Boolean value)
    Sets the value of the alwaysUnlockNewVersion property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isQueueRendition

    public Boolean isQueueRendition()
    Gets the value of the queueRendition property.
    Returns:
      possible object is `Boolean`

  - ### setQueueRendition

    public void setQueueRendition(Boolean value)
    Sets the value of the queueRendition property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isSilentMajor

    public Boolean isSilentMajor()
    Gets the value of the silentMajor property.
    Returns:
      possible object is `Boolean`

  - ### setSilentMajor

    public void setSilentMajor(Boolean value)
    Sets the value of the silentMajor property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isSilentMinor

    public Boolean isSilentMinor()
    Gets the value of the silentMinor property.
    Returns:
      possible object is `Boolean`

  - ### setSilentMinor

    public void setSilentMinor(Boolean value)
    Sets the value of the silentMinor property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isSilentSame

    public Boolean isSilentSame()
    Gets the value of the silentSame property.
    Returns:
      possible object is `Boolean`

  - ### setSilentSame

    public void setSilentSame(Boolean value)
    Sets the value of the silentSame property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isKeepLogEntry

    public Boolean isKeepLogEntry()
    Gets the value of the keepLogEntry property.
    Returns:
      possible object is `Boolean`

  - ### setKeepLogEntry

    public void setKeepLogEntry(Boolean value)
    Sets the value of the keepLogEntry property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isKeepSymbolicLabel

    public Boolean isKeepSymbolicLabel()
    Gets the value of the keepSymbolicLabel property.
    Returns:
      possible object is `Boolean`

  - ### setKeepSymbolicLabel

    public void setKeepSymbolicLabel(Boolean value)
    Sets the value of the keepSymbolicLabel property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isSyncSharedAsNative

    public Boolean isSyncSharedAsNative()
    Gets the value of the syncSharedAsNative property.
    Returns:
      possible object is `Boolean`

  - ### setSyncSharedAsNative

    public void setSyncSharedAsNative(Boolean value)
    Sets the value of the syncSharedAsNative property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isOffline

    public Boolean isOffline()
    Gets the value of the offline property.
    Returns:
      possible object is `Boolean`

  - ### setOffline

    public void setOffline(Boolean value)
    Sets the value of the offline property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCheckoutVd

    public Boolean isCheckoutVd()
    Gets the value of the checkoutVd property.
    Returns:
      possible object is `Boolean`

  - ### setCheckoutVd

    public void setCheckoutVd(Boolean value)
    Sets the value of the checkoutVd property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isExplicitCheckoutVd

    public Boolean isExplicitCheckoutVd()
    Gets the value of the explicitCheckoutVd property.
    Returns:
      possible object is `Boolean`

  - ### setExplicitCheckoutVd

    public void setExplicitCheckoutVd(Boolean value)
    Sets the value of the explicitCheckoutVd property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isHasContent

    public Boolean isHasContent()
    Gets the value of the hasContent property.
    Returns:
      possible object is `Boolean`

  - ### setHasContent

    public void setHasContent(Boolean value)
    Sets the value of the hasContent property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCanLogEntry

    public Boolean isCanLogEntry()
    Gets the value of the canLogEntry property.
    Returns:
      possible object is `Boolean`

  - ### setCanLogEntry

    public void setCanLogEntry(Boolean value)
    Sets the value of the canLogEntry property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isLogEntryRequired

    public Boolean isLogEntryRequired()
    Gets the value of the logEntryRequired property.
    Returns:
      possible object is `Boolean`

  - ### setLogEntryRequired

    public void setLogEntryRequired(Boolean value)
    Sets the value of the logEntryRequired property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCanSameVersion

    public Boolean isCanSameVersion()
    Gets the value of the canSameVersion property.
    Returns:
      possible object is `Boolean`

  - ### setCanSameVersion

    public void setCanSameVersion(Boolean value)
    Sets the value of the canSameVersion property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCanMinorVersion

    public Boolean isCanMinorVersion()
    Gets the value of the canMinorVersion property.
    Returns:
      possible object is `Boolean`

  - ### setCanMinorVersion

    public void setCanMinorVersion(Boolean value)
    Sets the value of the canMinorVersion property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCanMajorVersion

    public Boolean isCanMajorVersion()
    Gets the value of the canMajorVersion property.
    Returns:
      possible object is `Boolean`

  - ### setCanMajorVersion

    public void setCanMajorVersion(Boolean value)
    Sets the value of the canMajorVersion property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCanBranchVersion

    public Boolean isCanBranchVersion()
    Gets the value of the canBranchVersion property.
    Returns:
      possible object is `Boolean`

  - ### setCanBranchVersion

    public void setCanBranchVersion(Boolean value)
    Sets the value of the canBranchVersion property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getPropertyPage

    public String getPropertyPage()
    Gets the value of the propertyPage property.
    Returns:
      possible object is `String`

  - ### setPropertyPage

    public void setPropertyPage(String value)
    Sets the value of the propertyPage property.
    Parameters:
      `value` - allowed object is `String`